<?php
/**
 * @file
 * cmnc_subscribe.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function cmnc_subscribe_default_rules_configuration() {
  $items = array();
  $items['cmnc_subscribe_cmnc_og_member_subscribe_denied'] = entity_import('rules_config', '{ "cmnc_subscribe_cmnc_og_member_subscribe_denied" : {
      "LABEL" : "OG member subscribe (Denied)",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "cmnc" ],
      "REQUIRES" : [ "rules", "og" ],
      "ON" : { "og_user_blocked" : [] },
      "IF" : [
        { "data_is" : { "data" : [ "og-membership:state" ], "value" : "3" } },
        { "entity_is_of_type" : { "entity" : [ "og-membership:group" ], "type" : "node" } }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "message",
              "param_type" : "cmnc_group_membership_request_denied",
              "param_user" : [ "site:current-user" ]
            },
            "PROVIDE" : { "entity_created" : { "entity_created" : "Created entity" } }
          }
        },
        { "data_set" : {
            "data" : [ "entity-created:field-target-nodes:0" ],
            "value" : [ "og-membership:group" ]
          }
        },
        { "data_set" : {
            "data" : [ "entity-created:field-target-users:0" ],
            "value" : [ "account" ]
          }
        }
      ]
    }
  }');
  $items['cmnc_subscribe_og_member_subscribe_approved_'] = entity_import('rules_config', '{ "cmnc_subscribe_og_member_subscribe_approved_" : {
      "LABEL" : "OG member subscribe (Approved)",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "cmnc" ],
      "REQUIRES" : [ "rules", "og" ],
      "ON" : { "og_user_approved" : [] },
      "IF" : [
        { "data_is" : { "data" : [ "og-membership:state" ], "value" : "1" } },
        { "entity_is_of_type" : { "entity" : [ "og-membership:group" ], "type" : "node" } }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "message",
              "param_type" : "cmnc_group_membership_request_approved",
              "param_user" : [ "site:current-user" ]
            },
            "PROVIDE" : { "entity_created" : { "entity_created" : "Created entity" } }
          }
        },
        { "data_set" : {
            "data" : [ "entity-created:field-target-nodes:0" ],
            "value" : [ "og-membership:group" ]
          }
        },
        { "data_set" : {
            "data" : [ "entity-created:field-target-users:0" ],
            "value" : [ "account" ]
          }
        }
      ]
    }
  }');
  $items['og_cmnc_og_member_subscribe_pending'] = entity_import('rules_config', '{ "og_cmnc_og_member_subscribe_pending" : {
      "LABEL" : "OG member subscribe (Pending)",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "cmnc" ],
      "REQUIRES" : [ "rules", "og" ],
      "ON" : { "og_user_insert" : [] },
      "IF" : [
        { "data_is" : { "data" : [ "og-membership:state" ], "value" : "2" } },
        { "entity_is_of_type" : { "entity" : [ "og-membership:group" ], "type" : "node" } }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "message",
              "param_type" : "cmnc_user_requests_group_membership",
              "param_user" : [ "account" ]
            },
            "PROVIDE" : { "entity_created" : { "entity_created" : "Created entity" } }
          }
        },
        { "data_set" : {
            "data" : [ "entity-created:field-target-nodes:0" ],
            "value" : [ "og-membership:group" ]
          }
        }
      ]
    }
  }');
  return $items;
}
